<?php

/**
 * This file is part of noccylabs/gd-image
 *
 * Example: Bitmap fonts
 */

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\GdImage\Image;
use NoccyLabs\GdImage\Font\BitmapFont;


$image = new Image(400, 400, 0xFFFFFF);

$font = new BitmapFont(2);
$image->drawText(5, 5, $font, 0x000000, "Hello World!\n\nThis is multiline text\non multiple lines!");

$font = new BitmapFont(4);
$image->drawText(5, 75, $font, 0x000000, "Hello World!\n\nThis is multiline text\non multiple lines!", [
    'outline' => 0x888888
]);

$font = new BitmapFont(6);
$image->drawText(5, 155, $font, 0x000000, "Hello World!\n\nThis is multiline text\non multiple lines!", [
    'shadow' => 0xFF8800,
]);

$image->saveToFile("font-bitmap.png");
