<?php

namespace NoccyLabs\GdImage;


class Color
{

    const BLACK = 0x000000;
    const WHITE = 0xFFFFFF;

    protected int $color;

    public function __construct(...$color)
    {
        if (count($color) === 1) {
            $this->color = $color[0];
        } elseif (count($color) === 3) {
            [$r,$g,$b] = $color;
            $this->color = ($r) + ($g << 8) + ($b << 16);
        }
    }

    public function getColor(): int
    {
        return $this->color;
    }

    public function getComponents(): array
    {
        return [
            $this->color & 0xFF,
            ($this->color >> 8) & 0xFF,
            ($this->color >> 16) & 0xFF,
        ];
    }

    public function __toString()
    {
        return sprintf("#%06x", $this->color);
    }

}

