<?php

namespace NoccyLabs\GdImage\Font;
use NoccyLabs\GdImage\Image;
use GdImage;

interface FontInterface
{
    /**
     * Measure the rect the rendered text would cover. Returns an array of the
     * width, height, left offset and top offset.
     * 
     * @param string $text
     * @param array $options
     * @return array
     */
    public function measureString(string $text, array $options): array;

    /**
     * Render the text to an image.
     * 
     * @param GdImage $image
     * @param int $x
     * @param int $y
     * @param int $color
     * @param string $text
     * @param array $options
     * @return void
     */
    public function renderString(GdImage $image, int $x, int $y, int $color, string $text, array $options);

}