<?php

namespace NoccyLabs\GdImage\Mixer;

class CopyMergeMixer implements MixerInterface
{
    private $blendPercent = 100;

    public function __construct(int $blendPercent)
    {
        $this->blendPercent = min(100, max(0, $blendPercent));
    }

    public function blend($src, $dest, int $width, int $height)
    {
        imagecopymerge($dest, $src, 0, 0, 0, 0, $width, $height, $this->blendPercent);
    }
}

