<?php

namespace NoccyLabs\GdImage;

class Rect
{
    private int $left;

    private int $top;

    private int $width;

    private int $height;


    public function __construct(int $left, int $top, int $width, int $height)
    {
        $this->left = $left;
        $this->top = $top;
        $this->width = $width;
        $this->height = $height;
    }

    public function createImageFromRect(): Image
    {
        return new Image($this->width, $this->height, 0xFFFFFF);
    }

    public static function fromPoints(int $x1, int $y1, int $x2, int $y2): Rect
    {
        return new Rect($x1, $y1, $x2-$x1, $y2-$y1);
    }

    public static function fromImage(Image $image): Rect
    {
        return new Rect(0, 0, $image->getWidth(), $image->getHeight());
    }

    public function getPoints(): array
    {
        return [ $this->left, $this->top, $this->left + $this->width, $this->top + $this->height ];
    }

    public function getRect(): array
    {
        return [ $this->left, $this->top, $this->width, $this->height ];
    }

    public function getCoordinates(): array
    {
        return [ $this->left, $this->top ];
    }

    public function getDimensions(): array
    {
        return [ $this->width, $this->height ];
    }
}
