<?php

namespace NoccyLabs\GdImage\Process\Filter;

class BrightnessFilterTest extends FilterTest
{


    /**
     * @dataProvider validdata
     * @covers BrightnessFilter
     */
    public function testFilterWithValidData(string $filename, int $arg1, string $expect)
    {
        $image = imagecreatefrompng($filename);

        $filter = new BrightnessFilter($arg1);
        $filter->applyProcess($image);

        imagepng($image, "/tmp/test_brightness_" . basename($filename, ".png") . "_" . $arg1 . ".png");

        $this->assertImageEqualsSha1($expect, $image);

    }



    public function validdata(): array
    {
        return [
            [ __DIR__."/../../image1.png", -128, "104dd91f78cfcc353477be6c80031432888fe813" ],
            [ __DIR__."/../../image1.png", 0,    "9b6144e14299bb9f6104251d712a8384e63aeab3" ],
            [ __DIR__."/../../image1.png", 128,  "4dbddc08c14b51fac4c8c8a615239395f2d8db8c" ],
            [ __DIR__."/../../image2.png", -128, "53d3788f454dc4866f20d4bd29ccd8f3cbb33bb4" ],
            [ __DIR__."/../../image2.png", 0,    "5adde564b4455e6e75ef24a2490d904411269bf3" ],
            [ __DIR__."/../../image2.png", 128,  "1907d8e6c716781ddd20fcf7846215576de35e21" ],
        ];
    }
}
