<?php

namespace NoccyLabs\GdImage\Process\Filter;
use GdImage;


abstract class FilterTest extends \PHPUnit\Framework\TestCase
{

    protected function assertImageEquals(string $expectBase64, GdImage $image)
    {
        ob_start();
        imagepng($image, null);
        $raw = base64_encode(ob_get_contents());
        ob_end_clean();

        $this->assertEquals($expectBase64, $raw);
    }

    protected function assertImageEqualsFile(string $expectFile, GdImage $image)
    {
        ob_start();
        imagepng($image, null);
        $raw = sha1(ob_get_contents());
        ob_end_clean();

        $expect = sha1_file($expectFile);

        $this->assertEquals($expect, $raw);
    }

    protected function assertImageEqualsSha1(string $expectSha1, GdImage $image)
    {
        ob_start();
        imagepng($image, null);
        $raw = sha1(ob_get_contents());
        ob_end_clean();

        $this->assertEquals($expectSha1, $raw);
    }

}